#!/bin/bash
. /etc/konahqss/konahqss.inc
if [ -f /etc/konahqss/ramserver ]; then
  if [ -x /usr/bin/pulseaudio ] || [ -x /usr/bin/pulseaudio.save ]; then
    killall pulseaudio
    setoram2 /usr/bin/pulseaudio pulseaudio
    if [ ! -z "$(grep high /etc/konahqss/tone)" ]; then
      refreshfile2 $tmp/pulseaudio pulseaudio
    fi
  fi
  if [ -x /usr/bin/pipewire ] || [ -x /usr/bin/pipewire.save ]; then
    setoram2 /usr/bin/pipewire pipewire
    if [ ! -z "$(grep high /etc/konahqss/tone)" ]; then
      refreshfile2 $tmp/pipewire pipewire
    fi
  fi
  if [ -x /usr/bin/wireplumber ] || [ -x /usr/bin/wireplumber.save ]; then
    setoram2 /usr/bin/wireplumber wireplumber
  fi
  if [ -x /usr/bin/pipewire-media-session ] || [ -x /usr/bin/pipewire-media-session.save ]; then
    setoram2 /usr/bin/pipewire-media-session pipewire-media-session
  fi
#  if [ -x /usr/bin/pipewire-pulse ] || [ -x /usr/bin/pipewire-pulse.save ]; then
#    setoram2 /usr/bin/pipewire-pulse pipewire-pulse
#  fi
else
  if [ -f /usr/bin/pulseaudio.save ]; then
    rm -f /usr/bin/pulseaudio
    mv /usr/bin/pulseaudio.save /usr/bin/pulseaudio
  fi
  if [ -f /usr/bin/pipewire.save ]; then
    rm -f /usr/bin/pipewire
    mv /usr/bin/pipewire.save /usr/bin/pipewire
  fi
  if [ -f /usr/bin/wireplumber.save ]; then
    rm -f /usr/bin/wireplumber
    mv /usr/bin/wireplumber.save /usr/bin/wireplumber
  fi
  if [ -f /usr/bin/pipewire-media-session.save ]; then
    rm -f /usr/bin/pipewire-media-session
    mv /usr/bin/pipewire-media-session.save /usr/bin/pipewire-media-session
  fi
#  if [ -f /usr/bin/pipewire-pulse.save ]; then
#    rm -f /usr/bin/pipewire-pulse
#    mv /usr/bin/pipewire-pulse.save /usr/bin/pipewire-pulse
#  fi
fi

